Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        tcpServer.RemoteHost = tcpServer.LocalIP ' RemoteHost должен соответствовать дружественному имени или IP-адресу вашего компьютера
        tcpServer.LocalPort = 2012 ' Задаем порт по которому будет происходить обмен данными
        tcpServer.Listen() ' Слушаем порт
    End Sub
    Private Sub tcpServer_ConnectionRequest(ByVal sender As Object, ByVal e As AxMSWinsockLib.DMSWinsockControlEvents_ConnectionRequestEvent) Handles tcpServer.ConnectionRequest
        If tcpServer.CtlState <> MSWinsockLib.StateConstants.sckConnected Then tcpServer.Close() ' Проверяет свойство CtlState, если старое соединие не закрыто, то закрываем его принудительно
        tcpServer.Accept(e.requestID) ' Принимаем запрос
    End Sub
    Private Sub tcpServer_DataArrival(ByVal sender As Object, ByVal e As AxMSWinsockLib.DMSWinsockControlEvents_DataArrivalEvent) Handles tcpServer.DataArrival
        tcpServer.GetData(TextBox2.Text) ' В TextBox2 мы будем получать сообщения от клиента
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        tcpServer.SendData(TextBox1.Text) ' Посылаем клиенту текст из TextBox1
    End Sub
End Class
